#!/bin/sh
echo 'name: crypto-pubkey
version: 0.1.3
id: crypto-pubkey-0.1.3-6643f0c9bc9b9c6b37ba390dc38fee09

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-crypto-pubkey
package-url:
synopsis: Public Key cryptography
description: Public Key cryptography
             .
             Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
             .
             Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15
                 Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
                 Crypto.PubKey.DSA Crypto.PubKey.DH Crypto.PubKey.HashDescr
                 Crypto.PubKey.MaskGenFunction
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/crypto-pubkey-0.1.3
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/crypto-pubkey-0.1.3
              /usr/local/lib
hs-libraries: HScrypto-pubkey-0.1.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         bytestring-0.10.0.2-eecc198ed81abb69aaded5c195068445
         crypto-numbers-0.1.3-1cad33d295ab460d80cf267c6ff238cb
         crypto-pubkey-types-0.3.2-ca6835614f657fbace75e28d82a8db35
         crypto-random-api-0.2.0-2741cc079116056d916ad6ab454325ca
         cryptohash-0.9.0-0f1b37dfae6666c203ab771afe9b14e5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/crypto-pubkey-0.1.3/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/crypto-pubkey-0.1.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
